CGAL 5.6.3 - 3D Point Set

Loading...
Searching...
No Matches
Namespaces | Classes | Functions
CGAL Namespace Reference

## Namespaces
namespace | IO

## Classes
class | Point_set_3
| A collection of points with dynamically associated properties. More...

## Functions
template<typename Point , typename Vector >
bool | read_las_point_set (std::istream &is, CGAL::Point_set_3< Point, Vector > &point_set)
template<typename Point , typename Vector >
bool | write_las_point_set (std::ostream &os, CGAL::Point_set_3< Point, Vector > &point_set)
template<typename Point , typename Vector >
bool | read_off_point_set (std::istream &is, CGAL::Point_set_3< Point, Vector > &point_set)
template<typename Point , typename Vector >
bool | write_off_point_set (std::ostream &os, const CGAL::Point_set_3< Point, Vector > &point_set)
template<typename Point , typename Vector >
bool | read_ply_point_set (std::istream &is, CGAL::Point_set_3< Point, Vector > &point_set, std::string &comments)
| reads a point set with properties from an input stream in ASCII or binary PLY format.
template<typename Point , typename Vector >
bool | read_ply_point_set (std::istream &is, CGAL::Point_set_3< Point, Vector > &point_set)
template<typename Point , typename Vector >
bool | write_ply_point_set (std::ostream &os, const CGAL::Point_set_3< Point, Vector > &point_set, const std::string &comments=std::string())
template<typename Point , typename Vector >
bool | read_xyz_point_set (std::istream &is, CGAL::Point_set_3< Point, Vector > &point_set)
template<typename Point , typename Vector >
bool | write_xyz_point_set (std::ostream &os, const CGAL::Point_set_3< Point, Vector > &point_set)
template<class PS >
void | draw (const PS &aps)
| opens a new window and draws `aps`, an instance of the `CGAL::Point_set_3` class.

## Function Documentation

## ◆ read_ply_point_set()

template<typename Point , typename Vector >

bool CGAL::read_ply_point_set | ( | std::istream & | is,
|  | CGAL::Point_set_3< Point, Vector > & | point_set
| ) |  |

Parameters

  is | input stream.
  point_set | point set